# Contributions are welcome!

## Quick guide

 * Fork the repo.
 * Install dependencies: `composer install`.
 * Create branch, e.g. `feature-foo` or `bugfix-bar`.
 * Make changes; keep to project standards.

## Opening a pull request

You can do some things to increase the chance that your pull request is accepted the first time:

 * Submit one pull request per fix or feature.
 * If your changes are not up to date -- rebase your branch on the parent branch.
 * Follow the conventions used in the project.
 * Remember about documentation.
 * Don't bump the version.

## Project standards

 * [PSR-1: Basic Coding Standard](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-1-basic-coding-standard.md).
 * [PSR-2: Coding Style Guide](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md).
 * [PSR-4: Autoloading Standard](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-4-autoloader.md).
 * Delimit variable and property names by underscore.
 * Only typehint callable, classes, and objects.
 * Prefer short syntax `[ ]` for single-line arrays, and the traditional syntax for multi-line arrays.
 * Keep maximumum line lengths to around ~120 characters.
